package com.cm.central.control.pojo.dtos.clientexception;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: ClientExceptionDTO
 * @Description: 客户端异常
 * @Author: WenG
 * @Date: 2020-07-30 19:13
 * @Version: 1.0
 **/
@ApiModel
public class ClientExceptionDTO {

    @ApiModelProperty(name = "clientExceptionId", value = "主键")
    private String clientExceptionId;
    @ApiModelProperty(name = "clientId", value = "客户端ID")
    private String clientId;
    @ApiModelProperty(name = "clientClientName", value = "名称")
    private String clientClientName;
    @ApiModelProperty(name = "clientClientVersion", value = "客户端版本")
    private String clientClientVersion;
    @ApiModelProperty(name = "clientServerIp", value = "服务器地址")
    private String clientServerIp;
    @ApiModelProperty(name = "exceptionType", value = "异常类型")
    private String exceptionType;
    @ApiModelProperty(name = "exceptionName", value = "异常名称")
    private String exceptionName;
    @ApiModelProperty(name = "exceptionSummary", value = "异常详情")
    private String exceptionSummary;
    @ApiModelProperty(name = "isNoticeProjectLeader", value = "通知负责人")
    private Integer isNoticeProjectLeader;
    @ApiModelProperty(name = "isHandle", value = "是否处理")
    private Integer isHandle;
    @ApiModelProperty(name = "gmtCreate", value = "上报时间")
    private String gmtCreate;

    public String getClientExceptionId() {
        return clientExceptionId == null ? "" : clientExceptionId.trim();
    }

    public void setClientExceptionId(String clientExceptionId) {
        this.clientExceptionId = clientExceptionId;
    }

    public String getClientId() {
        return clientId == null ? "" : clientId.trim();
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientClientName() {
        return clientClientName == null ? "" : clientClientName.trim();
    }

    public void setClientClientName(String clientClientName) {
        this.clientClientName = clientClientName;
    }

    public String getClientClientVersion() {
        return clientClientVersion == null ? "" : clientClientVersion.trim();
    }

    public void setClientClientVersion(String clientClientVersion) {
        this.clientClientVersion = clientClientVersion;
    }

    public String getClientServerIp() {
        return clientServerIp == null ? "" : clientServerIp.trim();
    }

    public void setClientServerIp(String clientServerIp) {
        this.clientServerIp = clientServerIp;
    }

    public String getExceptionType() {
        return exceptionType == null ? "" : exceptionType.trim();
    }

    public void setExceptionType(String exceptionType) {
        this.exceptionType = exceptionType;
    }

    public String getExceptionName() {
        return exceptionName == null ? "" : exceptionName.trim();
    }

    public void setExceptionName(String exceptionName) {
        this.exceptionName = exceptionName;
    }

    public String getExceptionSummary() {
        return exceptionSummary == null ? "" : exceptionSummary.trim();
    }

    public void setExceptionSummary(String exceptionSummary) {
        this.exceptionSummary = exceptionSummary;
    }

    public Integer getIsNoticeProjectLeader() {
        return isNoticeProjectLeader;
    }

    public void setIsNoticeProjectLeader(Integer isNoticeProjectLeader) {
        this.isNoticeProjectLeader = isNoticeProjectLeader;
    }

    public Integer getIsHandle() {
        return isHandle;
    }

    public void setIsHandle(Integer isHandle) {
        this.isHandle = isHandle;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"clientExceptionId\":")
                .append("\"").append(clientExceptionId).append("\"");
        sb.append(",\"clientId\":")
                .append("\"").append(clientId).append("\"");
        sb.append(",\"clientClientName\":")
                .append("\"").append(clientClientName).append("\"");
        sb.append(",\"clientClientVersion\":")
                .append("\"").append(clientClientVersion).append("\"");
        sb.append(",\"clientServerIp\":")
                .append("\"").append(clientServerIp).append("\"");
        sb.append(",\"exceptionType\":")
                .append("\"").append(exceptionType).append("\"");
        sb.append(",\"exceptionName\":")
                .append("\"").append(exceptionName).append("\"");
        sb.append(",\"exceptionSummary\":")
                .append("\"").append(exceptionSummary).append("\"");
        sb.append(",\"isNoticeProjectLeader\":")
                .append(isNoticeProjectLeader);
        sb.append(",\"isHandle\":")
                .append(isHandle);
        sb.append(",\"gmtCreate\":")
                .append("\"").append(gmtCreate).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
